PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

146w ago - Today PlayStation 3 developers mysis and eussNL on the Wiki have posted a method to get the PlayStation 2 (PS2) Software Emulator working on 3.55 CFW without a DRM-infected Cobra USB dongle for all PS3 Fat and Slim consoles.

Download: PlayStation 2 (PS2) Software Emulator Files for PS3 3.55 CFW / PlayStation 2 (PS2) Software Emulator Files for PS3 3.55 CFW (SRC)

To quote: Getting PlayStation 2 Software Emulator working

Method (on Firmware 3.55, without! Cobra-USB Dongle or Downgrade) for all consoles (fat & slim).

1. Replace following files on your consoles /dev_flash/ with the ones included in this archive p3dwik-ps2compatfiles.rar
2. Get into Factory Service Mode (FSM Tool/Dongle)
3. Insert your Original PS2 Game Disc
4. It will run.

Note: Backups won't work. You're getting the compatibility of the 2.60 software emulator with all of its bugs.

A possible compatibility lists:

  • tortuga-cove.com/forums/viewtopic.php?f=57&t=530
  • ps3devwiki.com/wiki/Talk:Emulation#PS2.2FPStwo

PS2 Compat. flag

All consoles have hardware information. In GameOS you can call Lv2 Syscall 393 (0x189) sys_sm_get_model to get your consoles information. In Lv1/Hypervisor its in the repository nodes sc 0x5B lv1_get_repository_node with Parameters "sys","hw","config" usually noded as "sys.hw.config#0" or something.

Result examples:

[Register or Login to view code]

In binary formation:

[Register or Login to view code]

XMB checks this flag and if == 0, it will give following message: "This model of the PS3 system is not compatible with PlayStation 2 format software."

Those interested in running PS2 games on their PS3 console may also wish to check out the previous Open PS2 Loader v0.8 for PS3, PS3 USBLD Loader Source Code and USBAdvn Patcher and PS2 HDD Support & Discless ELF Launching from PS3 XMB articles as well.

Finally, in released news IngPereira has made available a PS2 DEX Boot 4.11 4.20 (Test) and below is also a PS3 EVO 1.0 video and release details by SONIC_BH for those interested, as follows:

Hi I just make a debug app that use some syscalls to do a reset into PS2 Lpar like boot_ps2 does, it should work on dex 4.11 or 4.20 but in these fw there is ps2 netemu instead of softemu so i need someone with an original disc of playstation 2 inserted on bd-drive and launch this test app and see what happens.

I am on 4.11 DEX but i don't have any original disc from PS2... This is basically the same thing that boot_ps2 does on 3.55 but there is a new emu file on dex 4.11 or 4.20 introduced on 3.70 with the use of PS2 Classics on PSN... This is not brick-risk, thanks to anyone who help me with this. Greetings...




1st - Download the file
2nd - Copy the file PS2 Evo v1.0.pkg to the root of a USB drive formated in FAT32
3rd - Install the .pkg from *Install Package Files*
4th - Insert a original PS2 disk on the BD
5th - Run the app and enjoy


PlayStation 2 Software Emulator on 3.55 CFW Without Cobra USB

PlayStation 2 Software Emulator on 3.55 CFW Without Cobra USB

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.




#1245 - Isleofdoom - 18w ago
Isleofdoom's Avatar
The bd rom emu is only supported by the one within mm itself as there is no longer any options for bd rom emu n hasn't bin for awhile from what i have noticed

#1244 - elsagheeer - 18w ago
elsagheeer's Avatar
thanks

#1243 - mjolnir - 18w ago
mjolnir's Avatar
same here

#1242 - topantita - 18w ago
topantita's Avatar
in Multiman 4.66, i cannot find BD Rom Emulator option...

#1241 - Isleofdoom - 18w ago
Isleofdoom's Avatar
You need to fix your games to different fw revision but will lose ability to play online if you do it unless you make a backup of your boot files within the game disc.

#1240 - Faisalhameed - 18w ago
Faisalhameed's Avatar
I have ps3 slim CECH 3012B jailbroken by COBRA ODE, my OFW is 4.55 and I can't play new games that require 4.60 OFW like evil within and call of duty advanced warfare. can someone help me please?

#1239 - Isleofdoom - 18w ago
Isleofdoom's Avatar
He is already available are of the lv2 patch issue in habib cfw n I'm working on ps2exit screen n controller

As far as I'm aware there won't be a leaked version as its one guy who is working on this as the other is only helping with things while I work on synch n what not

#1238 - drphuz - 18w ago
drphuz's Avatar
Mm has been updated to 4.66.10 as of January 10th, supports Rebug 4.65.2 do not install the lvl2 patches on the release version, but its fine on the leaked

#1237 - Isleofdoom - 18w ago
Isleofdoom's Avatar
Got to love his manager its ashame some1 else knows how it works and was explained to me in great detail and how new cfw support is added along with the cobra port but either way its a great manager I have respect for his programming

#1236 - loddi - 18w ago
loddi's Avatar
The update works fine